org.apache.felix.framework.util

## Class SecurityManagerEx

- java.lang.Object
- - java.lang.SecurityManager
  - - org.apache.felix.framework.util.SecurityManagerEx

    public class SecurityManagerEx
    extends SecurityManager

Simple utility class used to provide public access to the protected `getClassContext()` method of `SecurityManager`

### Field Summary

### Fields inherited from class java.lang.SecurityManager

`inCheck`

### Constructor Summary

Constructors
Constructor and Description
`SecurityManagerEx()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class[]` `getClassContext()`

### Methods inherited from class java.lang.SecurityManager

`checkAccept, checkAccess, checkAccess, checkAwtEventQueueAccess, checkConnect, checkConnect, checkCreateClassLoader, checkDelete, checkExec, checkExit, checkLink, checkListen, checkMemberAccess, checkMulticast, checkMulticast, checkPackageAccess, checkPackageDefinition, checkPermission, checkPermission, checkPrintJobAccess, checkPropertiesAccess, checkPropertyAccess, checkRead, checkRead, checkRead, checkSecurityAccess, checkSetFactory, checkSystemClipboardAccess, checkTopLevelWindow, checkWrite, checkWrite, classDepth, classLoaderDepth, currentClassLoader, currentLoadedClass, getInCheck, getSecurityContext, getThreadGroup, inClass, inClassLoader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SecurityManagerEx

    public SecurityManagerEx()

### Method Detail

#### getClassContext

    public Class[] getClassContext()

Overrides:
  `getClassContext` in class `SecurityManager`